summaryrefslogtreecommitdiff
path: root/t/compile_f_c_cxx.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/compile_f_c_cxx.sh')
-rw-r--r--t/compile_f_c_cxx.sh15
1 files changed, 12 insertions, 3 deletions
diff --git a/t/compile_f_c_cxx.sh b/t/compile_f_c_cxx.sh
index 8fa80a4b5..c0e4717b5 100644
--- a/t/compile_f_c_cxx.sh
+++ b/t/compile_f_c_cxx.sh
@@ -38,9 +38,18 @@ END
$ACLOCAL
$AUTOMAKE
+$FGREP COMPILE Makefile.in # For debugging.
+
# Look for the macros at the beginning of rules.
-$FGREP "$tab\$(AM_V_CC)\$(COMPILE)" Makefile.in
-$FGREP "$tab\$(AM_V_CXX)\$(CXXCOMPILE)" Makefile.in
-$FGREP "$tab\$(AM_V_F77)\$(F77COMPILE)" Makefile.in
+
+sed -e "s|$tab *&& *|$tab|" \
+ -e 's|$(AM_V_CC)||g' \
+ -e 's|$(AM_V_CXX)||g' \
+ -e 's|$(AM_V_F77)||g' \
+ Makefile.in >mk
+diff -u Makefile.in mk || : # For debugging.
+$FGREP "$tab\$(COMPILE)" mk
+$FGREP "$tab\$(CXXCOMPILE)" mk
+$FGREP "$tab\$(F77COMPILE)" mk
: